Subject: Re: [iwl-next v2 1/2] ice: tc: check src_vsi in case of traffic from VF

From: Simon Horman <[email-masked]>
Date: Mon, 26 Feb 2024 13:34:48 +0000

On Thu, Feb 22, 2024 at 01:39:55PM +0100, Michal Swiatkowski wrote:
> In case of traffic going from the VF (so ingress for port representor)
> source VSI should be consider during packet classification. It is
> needed for hardware to not match packets from different ports with
> filters added on other port.
> 
> It is only for "from VF" traffic, because other traffic direction
> doesn't have source VSI.
> 
> Set correct ::src_vsi in rule_info to pass it to the hardware filter.
> 
> For example this rule should drop only ipv4 packets from eth10, not from
> the others VF PRs. It is needed to check source VSI in this case.
> $tc filter add dev eth10 ingress protocol ip flower skip_sw action drop
> 
> Reviewed-by: Jedrzej Jagielski <[email-masked]>
> Reviewed-by: Sridhar Samudrala <[email-masked]>
> Signed-off-by: Michal Swiatkowski <[email-masked]>

Hi Michal,

Should this be treated as a fix: have a Fixes tag; be targeted at 'iwl'?

That notwithstanding, this look good to me.

Reviewed-by: Simon Horman <[email-masked]>

...